com.amazonaws.services.codedeploy.model

## Class DeploymentOverview

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.DeploymentOverview

All Implemented Interfaces:
  Serializable, Cloneable

    public class DeploymentOverview
    extends Object
    implements Serializable, Cloneable

Information about the deployment status of the instances in the deployment.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DeploymentOverview()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeploymentOverview` `clone()`
`boolean` `equals(Object obj)`
`Long` `getFailed()` The number of instances in the deployment in a failed state.
`Long` `getInProgress()` The number of instances in which the deployment is in progress.
`Long` `getPending()` The number of instances in the deployment in a pending state.
`Long` `getSkipped()` The number of instances in the deployment in a skipped state.
`Long` `getSucceeded()` The number of instances in the deployment to which revisions have been successfully deployed.
`int` `hashCode()`
`void` `setFailed(Long failed)` The number of instances in the deployment in a failed state.
`void` `setInProgress(Long inProgress)` The number of instances in which the deployment is in progress.
`void` `setPending(Long pending)` The number of instances in the deployment in a pending state.
`void` `setSkipped(Long skipped)` The number of instances in the deployment in a skipped state.
`void` `setSucceeded(Long succeeded)` The number of instances in the deployment to which revisions have been successfully deployed.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeploymentOverview` `withFailed(Long failed)` The number of instances in the deployment in a failed state.
`DeploymentOverview` `withInProgress(Long inProgress)` The number of instances in which the deployment is in progress.
`DeploymentOverview` `withPending(Long pending)` The number of instances in the deployment in a pending state.
`DeploymentOverview` `withSkipped(Long skipped)` The number of instances in the deployment in a skipped state.
`DeploymentOverview` `withSucceeded(Long succeeded)` The number of instances in the deployment to which revisions have been successfully deployed.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeploymentOverview

    public DeploymentOverview()

### Method Detail

#### setPending

    public void setPending(Long pending)

The number of instances in the deployment in a pending state.

Parameters:
  `pending` - The number of instances in the deployment in a pending state.

#### getPending

    public Long getPending()

The number of instances in the deployment in a pending state.

Returns:
  The number of instances in the deployment in a pending state.

#### withPending

    public DeploymentOverview withPending(Long pending)

The number of instances in the deployment in a pending state.

Parameters:
  `pending` - The number of instances in the deployment in a pending state.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInProgress

    public void setInProgress(Long inProgress)

The number of instances in which the deployment is in progress.

Parameters:
  `inProgress` - The number of instances in which the deployment is in progress.

#### getInProgress

    public Long getInProgress()

The number of instances in which the deployment is in progress.

Returns:
  The number of instances in which the deployment is in progress.

#### withInProgress

    public DeploymentOverview withInProgress(Long inProgress)

The number of instances in which the deployment is in progress.

Parameters:
  `inProgress` - The number of instances in which the deployment is in progress.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSucceeded

    public void setSucceeded(Long succeeded)

The number of instances in the deployment to which revisions have been successfully deployed.

Parameters:
  `succeeded` - The number of instances in the deployment to which revisions have been successfully deployed.

#### getSucceeded

    public Long getSucceeded()

The number of instances in the deployment to which revisions have been successfully deployed.

Returns:
  The number of instances in the deployment to which revisions have been successfully deployed.

#### withSucceeded

    public DeploymentOverview withSucceeded(Long succeeded)

The number of instances in the deployment to which revisions have been successfully deployed.

Parameters:
  `succeeded` - The number of instances in the deployment to which revisions have been successfully deployed.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFailed

    public void setFailed(Long failed)

The number of instances in the deployment in a failed state.

Parameters:
  `failed` - The number of instances in the deployment in a failed state.

#### getFailed

    public Long getFailed()

The number of instances in the deployment in a failed state.

Returns:
  The number of instances in the deployment in a failed state.

#### withFailed

    public DeploymentOverview withFailed(Long failed)

The number of instances in the deployment in a failed state.

Parameters:
  `failed` - The number of instances in the deployment in a failed state.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSkipped

    public void setSkipped(Long skipped)

The number of instances in the deployment in a skipped state.

Parameters:
  `skipped` - The number of instances in the deployment in a skipped state.

#### getSkipped

    public Long getSkipped()

The number of instances in the deployment in a skipped state.

Returns:
  The number of instances in the deployment in a skipped state.

#### withSkipped

    public DeploymentOverview withSkipped(Long skipped)

The number of instances in the deployment in a skipped state.

Parameters:
  `skipped` - The number of instances in the deployment in a skipped state.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DeploymentOverview clone()

Overrides:
  `clone` in class `Object`